/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "build",
    short: "bd",
    args: [
      {
        required: true,
        name: "project",
        variadic: false,
        description: i18n.__("Project name")
      }
    ],
    options: [
      {
        flags: "-e, --env [env]",
        required: false,
        optional: true,
        variadic: false,
        mandatory: false,
        short: "-e",
        long: "--env",
        negate: false,
        description: i18n.__(
          "Build environment, optionally dev, prod, bug, all"
        ),
        defaultValue: "dev",
        recommend: true,
        options: ["dev", "prod", "bug", "all"],
        value: "dev"
      },
      {
        flags: "-a, --app [app]",
        required: false,
        optional: true,
        variadic: false,
        mandatory: false,
        short: "-a",
        long: "--app",
        negate: false,
        description: i18n.__("Build application"),
        defaultValue: "all",
        recommend: true,
        value: "all"
      }
    ]
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.build = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
