/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "clean",
    short: null,
    args: [],
    options: [
      {
        flags: "-f, --force",
        required: false,
        optional: false,
        variadic: false,
        mandatory: false,
        short: "-f",
        long: "--force",
        negate: false,
        description: i18n.__("Force cleanup"),
        defaultValue: false
      }
    ],
    validatorOpts: (val, opts, cb) => {
      cb();
    },
    validatorArgs: (val, opts, cb) => {
      cb();
    },
    transformOpts: (val, opts, cb) => {
      cb();
    },
    transformArgs: (val, opts, cb) => {
      cb();
    }
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.clean = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
