/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "end",
    short: "ed",
    args: [
      {
        required: false,
        name: "type",
        variadic: false,
        description: i18n.__("Branch Type"),
        options: ["feature", "bugfix", "support"],
        value: ""
      },
      {
        required: false,
        name: "name",
        variadic: false,
        description: i18n.__(
          "Branch name (without feature/bugfix prefix)"
        )
      }
    ],
    options: [
      {
        flags: "--no-combine",
        required: false,
        optional: false,
        variadic: false,
        mandatory: false,
        long: "--no-combine",
        negate: true,
        description: i18n.__(
          "Do not merge trunk branches (make sure the branch is live)"
        ),
        defaultValue: true,
        recommend: false
      },
      {
        flags: "--as-feature",
        required: false,
        optional: false,
        variadic: false,
        mandatory: false,
        long: "--as-feature",
        negate: false,
        description: i18n.__("bug branch merge to release"),
        recommend: false
      },
      {
        flags: "--description [description]",
        required: false,
        optional: true,
        variadic: false,
        mandatory: false,
        long: "--description",
        negate: false,
        description: i18n.__(
          "Description of the reason for this commit"
        ),
        defaultValue: "",
        recommend: false
      }
    ],
    validatorOpts: (val, opts, cb) => {
      cb();
    },
    validatorArgs: (val, opts, cb) => {
      cb();
    },
    transformOpts: (val, opts, cb) => {
      cb();
    },
    transformArgs: (val, opts, cb) => {
      cb();
    }
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.end = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
