/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "review",
    short: "ap",
    args: [],
    options: [
      {
        flags: "--state [state]",
        required: false,
        optional: true,
        variadic: false,
        mandatory: false,
        short: "",
        long: "--state",
        negate: false,
        description: i18n.__(
          "Filter merge request status, there are 2 types: opened, closed, not passed then default all"
        ),
        defaultValue: "opened",
        options: ["opened", "closed", "merged", "all"],
        value: "opened"
      },
      {
        flags: "--quiet",
        required: false,
        optional: false,
        variadic: false,
        mandatory: false,
        short: "",
        long: "--quiet",
        negate: false,
        description: i18n.__("Do not push the message"),
        defaultValue: false
      }
    ],
    validatorOpts: (val, opts, cb) => {
      cb();
    },
    validatorArgs: (val, opts, cb) => {
      cb();
    },
    transformOpts: (val, opts, cb) => {
      cb();
    },
    transformArgs: (val, opts, cb) => {
      cb();
    }
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.review = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
