/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "start",
    short: "st",
    args: [
      {
        required: true,
        name: "type",
        variadic: false,
        description: i18n.__("Branch Type"),
        options: ["feature", "bugfix", "support"],
        value: ""
      },
      {
        required: true,
        name: "name",
        variadic: false,
        description: i18n.__(
          "Branch name (without feature/bugfix prefix)"
        )
      }
    ],
    options: [
      {
        flags: "-t, --tag <tag>",
        required: true,
        optional: true,
        variadic: false,
        mandatory: false,
        short: "-t",
        long: "--tag",
        negate: false,
        description: i18n.__("Create branch from tag"),
        defaultValue: "",
        recommend: false
      }
    ]
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.start = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
