/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const i18n = require("../locales");
(function(root) {
  const cmdConfig = {
    command: "ui",
    short: null,
    args: [],
    options: [
      {
        flags: "-p, --port [port]",
        required: false,
        optional: true,
        variadic: false,
        mandatory: false,
        short: "-p",
        long: "--port",
        negate: false,
        description: i18n.__("Specify the port number"),
        defaultValue: 3e3,
        recommend: false
      }
    ]
  };
  if (typeof exports === "object" && typeof module === "object") {
    module.exports = cmdConfig;
  } else if (typeof exports === "object")
    exports.cmdConfig = cmdConfig;
  else {
    if (!root.gitmarsCmdConfig)
      root.gitmarsCmdConfig = {};
    root.gitmarsCmdConfig.ui = cmdConfig;
  }
})(typeof window !== "undefined" ? window : global);
