#!/usr/bin/env node
/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const { program } = require("commander");
const { createArgs } = require("@gitmars/core/lib/utils/command");
const run = require("@gitmars/core/lib/hook/run");
const { options, args } = require("./conf/run");
const i18n = require("./locales");
program.name("gitm run").usage("[command] [args...]").description(i18n.__("git hook run command"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((command, args2, opt) => {
  run(command, args2, opt);
});
program.parse(process.argv);
