#!/usr/bin/env node
/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const { program } = require("commander");
const sh = require("shelljs");
const { yellow, red } = require("chalk");
require("@gitmars/core/lib/queue");
const {
  getIsGitProject,
  getCurrentBranch
} = require("@gitmars/core/lib/git/index");
const { createArgs } = require("@gitmars/core/lib/utils/index");
const { options, args } = require("./conf/suggest");
const i18n = require("./locales");
if (!getIsGitProject()) {
  sh.echo(
    red(i18n.__("The current directory is not a git project directory"))
  );
  process.exit(1);
}
program.name("gitm suggest").usage("[message] [index] [-k --keep [keep]]").description(i18n.__("Suggestions for operation"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((message, index, opt) => {
});
program.parse(process.argv);
