#!/usr/bin/env node
/*!
 * gitmars v4.0.0-alpha.1
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const sh = require("shelljs");
const { yellow } = require("chalk");
const { program } = require("commander");
const { spawnSync } = require("@gitmars/core/lib/spawn");
const { createArgs } = require("@gitmars/core/lib/utils/command");
const echo = require("@gitmars/core/lib/utils/echo");
const { options, args } = require("./conf/ui");
const i18n = require("./locales");
program.name("gitm ui").usage("[-p --port <port>]").description(i18n.__("Link local package"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((opt) => {
  const uiBin = sh.which("gitm-ui")?.stdout;
  if (!uiBin) {
    echo(yellow("\u8BF7\u5148\u5B89\u88C5gitm ui\u63D2\u4EF6\uFF1Agitm install @gitmars/ui latest -m"));
    return;
  }
  opt.port && (process.env.PORT = String(opt.port));
  spawnSync("gitm-ui", [], { stdio: "inherit" });
});
program.parse(process.argv);
